import * as tslib_1 from "tslib";
import { IgrHorizontalAnchoredCategorySeries } from "./igr-horizontal-anchored-category-series";
import { StepAreaSeries } from "./StepAreaSeries";
/**
 * Represents a IgxDataChartComponent step area series.
*/
var IgrStepAreaSeries = /** @class */ (function (_super) {
    tslib_1.__extends(IgrStepAreaSeries, _super);
    function IgrStepAreaSeries(props) {
        return _super.call(this, props) || this;
    }
    IgrStepAreaSeries.prototype.createImplementation = function () {
        return new StepAreaSeries();
    };
    Object.defineProperty(IgrStepAreaSeries.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrStepAreaSeries.prototype, "isAreaOrLine", {
        /**
         * Gets whether the current series shows an area or line shape.
        */
        get: function () {
            return this.i.cj;
        },
        enumerable: true,
        configurable: true
    });
    return IgrStepAreaSeries;
}(IgrHorizontalAnchoredCategorySeries));
export { IgrStepAreaSeries };
